.pix-wrapper-header {
    position: relative;
    z-index: 1000;
    background: #F6ECDF;
    font-size: 20px; /* Taille de référence */


    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.pix-wrapper-header::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    pointer-events: none;
    user-select: none;

    box-shadow: 0 1px 4px rgba(0,0,0,0.2);
    z-index: 10;
}

.pix-wrapper-header-logo {
    text-align: center;
    position: relative;

    padding: 1.5em 0 1.1em 0;
    width: 100%;

    background: url('i/bg-header.webp') no-repeat center top;
    background-size: cover;

    overflow: hidden;
}

@media 
(-webkit-min-device-pixel-ratio: 1.5), 
(min-resolution: 144dpi) {
    .pix-wrapper-header-logo {
        background-image: url('i/bg-header-2x.webp');
    }
}

a.pix-logo {
    text-decoration: none;
    display: inline-block;
    position: relative;
    z-index: 1;
}

a.pix-logo::before {
    content: '';
    position: absolute;
    width: 200%;
    height: 200%;
    top: 50%;
    left: 40%;
    transform: translate(-50%, -50%);
    background: url('i/logo-sigle.svg') no-repeat center center;
    background-size: 100% auto;
    z-index: -1;
    pointer-events: none;
    user-select: none;
    opacity: 0.07;
}

a.pix-logo img {
    vertical-align: top;
    width: 14em;
}

.pix-site-navigation {
    position: relative;
    z-index: 2;

    background: #E7D8CA;
    width: 100%;
    padding: 0.75em 0 0.75em 0;
}

.pix-wrapper-menu-mobile {
    display: none;
}

.pix-wrapper-menu ul {
    padding:0;
    margin:0;
    list-style: none;
    position: relative;
}

#pix-menu-desktop {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.pix-wrapper-menu ul li {
    margin: 0px;
    display:inline-block;
    vertical-align: top;
    background-color: transparent;
    position:relative;
}

.pix-wrapper-menu ul li ul {
    text-align: center;
}


.pix-wrapper-menu a {
    font-family: "Kaisei Tokumin", serif;
    font-size: 1.2em;
    font-weight: 400;
    display:block;
    color:#541513;
    line-height: 1;
    text-decoration:none;
    text-align: center;
    padding: 0.4em 1.2em 0.6em;
    border-radius: 99px;

    text-transform: none;
    position: relative;
}


.pix-wrapper-menu ul li.pix-menu-selected > a {
}


.pix-wrapper-menu a:hover,
.pix-wrapper-menu ul > li:hover > a {
    color: #541513;
    background: rgba(84, 21, 19, 0.1);
}

.pix-wrapper-menu ul li.pix-menu-selected > a {
    color: #F9F2EA;
    background: #541513;
}

.pix-wrapper-menu a:hover::before,
.pix-wrapper-menu ul > li:hover > a::before {}

.pix-wrapper-menu ul ul > li:hover > a::before {}

.menu-arrow-svg {
    display: inline-block;
    width: 0.7em;
    height: 0.7em;
    margin-left: 0.3em;
    vertical-align: -0.05em;
    background: url(i/arrow.svg) no-repeat center center;
    background-size: contain;
    transition: bottom 0.2s ease 0s;
}


#pix-menu-desktop > li:hover .menu-arrow-svg {
    bottom: 2px;
}

.pix-menu-selected .menu-arrow-svg {
    filter: brightness(0) invert(1);
}

.pix-wrapper-menu ul ul a { 
    text-align: center;
    padding: 1em 1em;
    font-size: 0.9em;
    font-weight: 500;
    text-transform: uppercase;
    line-height: 1.1;
    border-radius: 0 0 0 0;
    white-space: nowrap;
}


.pix-wrapper-menu ul ul a:hover {
    background: rgba(84, 21, 19, 0.1);
    color: #541513;
}
.pix-wrapper-menu ul ul .pix-menu-selected a {
    color: #F9F2EA;
    background: #541513;
}

.pix-wrapper-menu ul ul {
    display: none;
    position: absolute;
    top: calc(100%);
    left:50%;
    transform: translateX(-50%);
    z-index:10000;
    min-width: 100%;
    background-color: #E7D8CA;
    border-radius: 0 0 1.5em 1.5em;
    padding-top: 0.75em;
    overflow: hidden;
}

.pix-wrapper-menu ul li:last-of-type ul {
    left: auto;
    right: 0;
    transform: none;
}

.pix-wrapper-menu ul li:hover > ul {
    display:inherit;
}

.pix-wrapper-menu ul ul li {
    display:list-item;
    position: relative;
}

.pix-wrapper-menu ul ul ul {
    position: absolute;
    top:0;
    left:100%;
    z-index:10000;
}


.pix-site-header .pix-burger-btn{
    position: absolute;
    bottom: 1em;
    right: 0.8em;
    width: 2.8em;
    height: 2.8em;
    background: #541513;
    border: none;
    display: none;
    cursor: pointer;
    z-index: 10000;
    border-radius: 50%;
    transition: background 0.2s ease;
    touch-action: manipulation;
}

.pix-site-header  .pix-burger-btn .line{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    
    display: inline-block;
    width: 1.3em;
    height: 2px;
    background-color: #F9F2EA;

    transition: transform 0.3s ease;
}
.pix-site-header.open .pix-burger-btn {
}

.pix-site-header .pix-burger-btn .line:first-child{
    transform: translate(-50%, -8px); /* 8px + 2px de la hauteur*/
}
.pix-site-header .pix-burger-btn .line:last-child{
    transform: translate(-50%, 6px);
}
.pix-site-header.open .pix-burger-btn .line:first-child{
    transform: translate(-50%, -50%) rotate(45deg);
}
.pix-site-header.open .pix-burger-btn .line:nth-child(2){
    transform: translate(-50%, -50%) scaleX(0);
}
.pix-site-header.open .pix-burger-btn .line:last-child{
    transform: translate(-50%, -50%) rotate(-45deg);
}


.pix-header-top-reseaux {
    position: absolute;
    top: 1em;
    right: 1.2em;
    gap: 0.8em;
    display: flex;
}

.pix-header-top-reservation {
    position: absolute;
    top: 1em;
    left: 1.2em;
    font-size: 0.8em;
}
.pix-header-top-reservation .pix-bouton {
    font-size: 1em!important;
}

.pix-header-top-reseaux img {
    width: 1.8em;
    height: 1.8em;
    vertical-align: top;
}

.pix-header-top-reseaux .cart-customlocation {
    position: relative;
}

.pix-header-top-reseaux .cart-customlocation .cart-count {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    color: #E7D8CA;
    font-size: 0.8em;
    font-weight: 700;
    width: 1.4em;
    height: 1.4em;
    line-height: 1.4em;
    text-align: center;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
}


@media (max-width: 1580px) {
    .pix-wrapper-header {
        font-size: 18px;
    }
}
@media (max-width: 1340px) {
    .pix-wrapper-header {
        font-size: 16px;
    }
}
@media (max-width: 1160px) {
   .pix-wrapper-menu a {
        padding-inline: 1.2em;
    }
    .pix-site-navigation {
        font-size: 0.9em;
    }
}
@media (max-width: 1090px) {
    a.pix-logo img {
        width: 14em;
    }
    .pix-wrapper-header {
        font-size: 15px;
    }
}
@media (max-width: 1020px) {
    .pix-wrapper-menu a {
        padding-inline: 1em;
    }
}

/* MENU MOBILE VERTICALE ET BURGER */
@media (max-width:950px) {

    body.nav-open{
        height: 100vh;
        height: 100dvh;
        overflow-y: hidden;
    }

    .pix-site-navigation {
        display: none;
    }

    .pix-wrapper-menu {
        display: none;
    }

    .pix-wrapper-menu-mobile {
        position: fixed;
        top: 0;
        right: 0;
        width: 100%;
        height: 100%;
        z-index: 1000;
        display: block;

        background: rgba(0, 0, 0, 0.5);
        opacity: 0;
        transform: translateX(100%);
    }
    .pix-wrapper-menu-mobile > div {
        height: 100%;
        max-width: 500px;
        margin-left: auto;
    }

    .pix-wrapper-menu-mobile ul {
        list-style: none;
        padding: 0;
    }

    #pix-menu-mobile {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        height: 100%;
        background: #F6F1F0;
        width: max-content;
        margin-left: auto;
        padding: 15px 0 15px 0;
        overflow: auto;
        width: 100%;
        margin: 0;
        list-style: none;

        padding: 20px 20px;
    }

    .pix-wrapper-menu-mobile a,
    .pix-wrapper-menu-mobile ul ul a {
        color: #541513;
        text-align: left;
        text-transform: none;
        font-family: "Kaisei Tokumin", serif;
        font-weight: 400;
        display: inline-block;
        padding: 0.4em 1em 0.4em 0.6em;
        border-radius: 50px;
        width: 100%;
    }
    
    .pix-wrapper-menu-mobile ul > li {
        max-width: calc(100% - 50px);
    }

    .pix-wrapper-menu-mobile ul li ul {
        display: none;
        transform: none;
        padding-left: 10px;
        background: transparent;
        box-shadow: none;
        position: relative;
        top: auto;
        left: auto;
        list-style: none;
        margin: 0;
        margin-top: -1px;
    }
    .pix-wrapper-menu-mobile ul li:hover > ul {
        display: none;
    }
    .pix-wrapper-menu-mobile ul li.open > ul {
        display: block;
    }

    .pix-wrapper-menu-mobile ul ul a {
        color: #541513!important;
        text-align: left;
        font-weight: 400;
        font-size: 0.9em;
    }
    .menu-arrow-svg {
        position: static;
        display: inline-block;
        transform: translateX(50%) translateY(-1px) rotate(-90deg);
    }
    .menu-item-has-children.open .menu-arrow-svg {
        transform: translateX(50%) translateY(-1px) rotate(0deg);
    }

    #pix-menu-mobile > li.pix-menu-selected > a {
        background: #541513;
        color: #fff!important;
    }
   
    .pix-wrapper-menu-mobile ul ul li.pix-menu-selected a {
            background: #541513;
            color: #fff!important;
    }

    .pix-site-header .pix-burger-btn {
        display: block;
    }


    .pix-site-header.open .pix-wrapper-menu-mobile {
        transform: translateX(0) translateZ(0);
        opacity: 1;
    }

    .pix-wrapper-menu-mobile a:hover {
        color: #541513;
        background: rgba(84, 21, 19, 0.1);
    }

    .pix-wrapper-menu-mobile ul ul li {
        max-width: 100%;
    }

    #pix-menu-mobile li ul a:hover {
        color: #541513;
    }

    .pix-wrapper-header:before {
        background-position: left 20% top, right top;
    }
}

@media (max-width: 740px) {
    a.pix-logo img {
        width: 12em;
    }
    .pix-header-top-reseaux {
        font-size: 13px;
    }
}

@media (max-width: 560px) {
    .pix-wrapper-header-logo {
        text-align: left;
        padding-left: 1em;
    }

    a.pix-logo::before {
        width: 140%;
    }

    .pix-header-top-reservation {
        left: auto;
        right: 6.5em;
    }
}

@media (max-width: 450px) {
    .pix-header-top-reservation .td {
        display: none;
    }
}

@media (max-width: 380px) {
    a.pix-logo img {
        width: 10em;
    }

    .pix-site-header .pix-burger-btn {
        bottom: 0.5em;
        right: 0.4em;
    }

    .pix-header-top-reseaux {
        right: 0.8em;
        gap: 0.4em;
    }

    .pix-header-top-reservation {
        right: 5.8em;
    }

    .pix-wrapper-header-logo {
        padding-left: 0.5em;
    }
}